<?php
include "../../inc/inc.koneksi.php";

$kodeaw	=$_POST[kodeaw];
$kodeak	=$_POST[kodeak];

$sql = mysql_query("SELECT * FROM interface");
$r = mysql_fetch_assoc($sql);
$utang  = $r[hutang_dg];
$labapb = $r[laba_pb];
$labrug = $r[laba_rugi];
$potbeli= $r[pot_beli];
$nosublpb= substr($labapb,0,3);
$nosublr = substr($labrug,0,3);
$nosubpb = substr($potbeli,0,3);

$sql = mysql_query("SELECT * FROM jurkk WHERE kode_kk BETWEEN '$kodeaw' AND '$kodeak' AND posting='' ORDER BY kode_kk");
$row = mysql_num_rows($sql);
if($row>0){
    while($r=mysql_fetch_array($sql)){
	    $kodekk = $r[kode_kk];
	    $tanggal= $r[tanggal];
	    $nokas 	= $r[nokas];
	    $nourut = $r[no_urut];
	    $noakun = $r[noakun];
	    $nobp 	= $r[nobp];
	    $nofak	= $r[nofak];
	    $jumlah	= $r[jumlah];
	    $ket 	= $r[keterangan];
	    $user 	= $r[user];
	    $nosubks= substr($nokas,0,3);
	    $nosubak= substr($noakun,0,3);
	    $kelakun= (int) substr($noakun,0,1);
	
	    // --->kredit kas bertambah
	    mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$nokas'");
		
	    // --->jika kode akun buku besar adalah hutang dagang, kurangi saldo hutang
	    if($noakun==$utang){
		    $kodesp = substr($nobp,5,4);
		    mysql_query("UPDATE hutang SET jumlah=jumlah-$jumlah WHERE kode_sp='$kodesp' AND nofak='$nofak'");
	    }
	
	    mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,kredit,keterangan,user) VALUES('$kodekk','JKK','$tanggal','$kodekk','$nourut','$nokas','$nosubks','$jumlah','$ket','$user')");
	
	    // --->debet noakun bertambah
	    mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$noakun'");
		
	    if(!($nobp=='')){
		    // --->Jika akun buku pembantu tidak kosong, debet bertambah
		    mysql_query("UPDATE akun_bp SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$nobp'");
	    }
	    mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,nobp,debet,keterangan,user) VALUES('$kodekk','JKK','$tanggal','$kodekk','$nourut','$noakun','$nosubak','$nobp','$jumlah','$ket','$user')");
	
	    if($kelakun>3){
		    // --->laba periode berjalan debet
		    mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$jumlah WHERE noakun='$labapb'");
		    mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,debet,keterangan,user) VALUES('$kodekk','JKK','$tanggal','$kodekk','$nourut','$labapb','$nosublpb','$jumlah','$ket','$user')");
		
		    // --->laba rugi kredit
		    mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$jumlah WHERE noakun='$labrug'");
		    mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,kredit,keterangan,user) VALUES('$kodekk','JKK','$tanggal','$kodekk','$nourut','$labrug','$nosublr','$jumlah','$ket','$user')");
	    }
    } 
    mysql_query("UPDATE jurkk SET posting='P' WHERE kode_kk BETWEEN '$kodeaw' AND '$kodeak' ");
}
?>
